package com.qmth.paper.library.business.service;

import com.qmth.paper.library.business.entity.PaperScanTask;
import com.qmth.paper.library.common.bean.dto.syssetting.SimpleObject;
import com.qmth.paper.library.common.entity.SysRole;
import com.qmth.paper.library.common.entity.SysRolePrivilege;
import com.qmth.paper.library.common.entity.SysUser;
import com.qmth.paper.library.common.entity.TBSession;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface BusinessCacheService {

    /**
     * 查询任务
     */
    PaperScanTask getPaperScanTask(Long scanTaskId);

    int getSequence(Long paperScanTaskId, String studentCode);

    void initCacheData();

    int getScanTaskCodeSequence(Long schoolId);
}
